# atop

atop 磁盘日志分析

## Usage

```
yum install atop
atop
```

一般不会直接使用atop实时查看磁盘情况，而是配置日志收集：

```
vim /etc/sysconfig/atop

将 LOGINTERVAL=600 修改为 LOGINTERVAL=30


0 0 * * * root /etc/cron.daily/atop.daily

```

日志查找：
```
atop -r /var/log/atop/atop_2021xxxx

```

* c：按照进程的 CPU 使用率降序筛选。
* m：按照进程的内存使用率降序筛选。
* d：按照进程的磁盘使用率降序筛选。
* a：按照进程资源综合使用率进行降序筛选。
* n：按照进程的网络使用率进行降序筛选（使用此命令需安装额外的内核模块，默认不支持）。
* t：跳转到下一个监控采集点。
* T：跳转到上一个监控采集点。
* b：指定时间点，格式为 YYYYMMDDhhmm。
* g：按 CPU 使用率排序，默认排序方式
* y：查看线程信息
* j：查看 container 聚合信息